summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames An2014-08-04 19:43:07 -0400
committerJames An2014-08-04 19:43:07 -0400
commit31bca0239fd58f75679bc90070c08d5c03f49c05 (patch)
tree0f7dcaf327cbf24b12ae3dbce37d76d89f27c348
downloadaur-31bca0239fd58f75679bc90070c08d5c03f49c05.tar.gz
Added webui-aria2 AUR package.
-rw-r--r--.SRCINFO26
-rw-r--r--PKGBUILD62
-rw-r--r--aria2d.service9
-rw-r--r--webui-aria23
4 files changed, 100 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6693b7f64b9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,26 @@
+pkgbase = webui-aria2-git
+ pkgdesc = Pure HTML/CSS/JS frontend for aria2
+ pkgver = r305.091fbb0
+ pkgrel = 1
+ url = https://github.com/ziahamza/webui-aria2
+ arch = any
+ license = MIT
+ makedepends = git
+ optdepends = aria2: download utility backend
+ optdepends = chromium: browser to access front end
+ optdepends = epiphany: browser to access front end
+ optdepends = firefox: browser to access front end
+ optdepends = google-chrome: browser to access front end
+ optdepends = midori: browser to access front end
+ optdepends = netsurf: browser to access front end
+ optdepends = opera: browser to access front end
+ optdepends = rekonq: browser to access front end
+ source = webui-aria2-git::git+https://github.com/ziahamza/webui-aria2.git
+ source = aria2d.service
+ source = webui-aria2
+ md5sums = SKIP
+ md5sums = e66a1b86f501ae22b41ab69d97a0c4ee
+ md5sums = da1de4952903892fc0f0b00df1aebb5c
+
+pkgname = webui-aria2-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..42603b3ed1d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,62 @@
+# Maintainer: James An <james@jamesan.ca>
+
+_pkgname=webui-aria2
+pkgname="$_pkgname-git"
+pkgver=r305.091fbb0
+pkgrel=1
+pkgdesc="Pure HTML/CSS/JS frontend for aria2"
+arch=('any')
+url="https://github.com/ziahamza/webui-aria2"
+license=('MIT')
+optdepends=(
+ 'aria2: download utility backend'
+ 'chromium: browser to access front end'
+ 'epiphany: browser to access front end'
+ 'firefox: browser to access front end'
+ 'google-chrome: browser to access front end'
+ 'midori: browser to access front end'
+ 'netsurf: browser to access front end'
+ 'opera: browser to access front end'
+ 'rekonq: browser to access front end'
+)
+makedepends=('git')
+source=(
+ "$pkgname"::"git+https://github.com/ziahamza/$_pkgname.git"
+ aria2d.service
+ $_pkgname
+)
+md5sums=('SKIP'
+ 'e66a1b86f501ae22b41ab69d97a0c4ee'
+ 'da1de4952903892fc0f0b00df1aebb5c')
+
+pkgver() {
+ cd "$pkgname"
+ (
+ set -o pipefail
+ git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ rm -rf "$pkgname/.git"
+}
+
+package() {
+ # install package files
+ install -dm755 "$pkgdir/usr/share"
+ cp -R "$pkgname" "$pkgdir/usr/share/$_pkgname"
+ find "$pkgdir/usr/share/" -type f -exec chmod 0644 {} +
+ find "$pkgdir/usr/share/" -type d -exec chmod 0755 {} +
+
+ # install aria2 systemd service
+ install -Dm644 aria2d.service "$pkgdir/usr/lib/systemd/user/aria2d.service"
+
+ # install package /usr/bin start file
+ install -Dm755 $_pkgname "$pkgdir/usr/bin/$_pkgname"
+}
+
+# Make systemd service file to start aria2c.
+# Make bash script to start webui-aria2 index.html page.
+# https://github.com/ziahamza/webui-aria2
+# https://wiki.archlinux.org/index.php/aria2#Web_UIs
diff --git a/aria2d.service b/aria2d.service
new file mode 100644
index 00000000000..fe1ce157a23
--- /dev/null
+++ b/aria2d.service
@@ -0,0 +1,9 @@
+[Unit]
+Description=Aria2 Daemon
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/aria2c --enable-rpc --rpc-listen-all
+
+[Install]
+WantedBy=default.target
diff --git a/webui-aria2 b/webui-aria2
new file mode 100644
index 00000000000..c40a980a2fe
--- /dev/null
+++ b/webui-aria2
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+xdg-open /usr/share/webui-aria2/index.html